local celeste = require("#Celeste.Celeste")

function onBegin()
    
    disableMovement()
    disableRetry ()
    makeUnskippable ()
    player.ForceCameraUpdate = true

    walkTo (1384, false, 1.0, false)
    
    say("WHE_NaCline_B_03")
    say("WHE_NaCline_B_04")
    wait(0.3)
    walkTo (1424, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)

    wait(0.3)
    say("WHE_NaCline_B_05")
    walkTo (1440, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)

    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(1)
    say("WHE_NaCline_B_06")
    wait(0.3)
    player.DummyAutoAnimate = true

    walkTo (1464, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    say("WHE_NaCline_B_07")
    wait(0.2)

    walkTo (1504, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    say("WHE_NaCline_B_08")
    wait(0.2)

    walkTo (1528, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    say("WHE_NaCline_B_09")
    wait(0.2)

    walkTo (1540, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    say("WHE_NaCline_B_10")
    wait(0.2)

    walkTo (1550, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    say("WHE_NaCline_B_11")
    wait(0.2)
    player.DummyAutoAnimate = true

    walkTo (1572, walkBackwards==false, speedMultiplier==1.0, keepWalkingIntoWalls==false)
    wait(0.3)
    say("WHE_NaCline_B_12")
    wait(0.2)
    
    endCutscene ()
    enableMovement()
    enableRetry ()

end

--[[
function onEnd(level, wasSkipped)
    if wasSkipped then
        
        endCutscene ()
        enableMovement()
        
    end
end
--]]